This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 83506 - gnome-terminal crash while resizing with pine
gnome-terminal crash while resizing with pine
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: vte (Show other bugs)
8.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-04 19:21 EST by Joshua Buysse
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-04 21:33:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joshua Buysse 2003-02-04 19:21:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
After ssh'ing to a box running 7.3, and running Pine with the default
configuration, attempting to resize the gnome-terminal window results in an
immediate crash and takes down all terminal windows.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. ssh <redhat73-box>
2. pine
3. (go to message index)
4. resize the window
5. cry.
    

Actual Results:  The bloody terminal window went away.  Along with all of the
other terminal windows.

Expected Results:  The bloody window should have gotten bigger.

Additional info:


GDB output and backtrace:

buysse@inanna:~ 2% gdb gnome-terminal
GNU gdb Red Hat Linux (5.2.1-4)
Copyright 2002 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
(no debugging symbols found)...
(gdb) run
Starting program: /usr/bin/gnome-terminal 
[New Thread 8192 (LWP 4630)]

** ERROR **: NULL at 23(->23) delta 24, length 27, max 28 next 51 at 2376

aborting...

Program received signal SIGABRT, Aborted.
[Switching to Thread 8192 (LWP 4630)]
0x42028cc1 in kill () from /lib/i686/libc.so.6

(gdb) bt
#0  0x42028cc1 in kill () from /lib/i686/libc.so.6
#1  0x408f007d in raise () from /lib/i686/libpthread.so.0
#2  0x4202a019 in abort () from /lib/i686/libc.so.6
#3  0x40943476 in g_logv () from /usr/lib/libglib-2.0.so.0
#4  0x409434b4 in g_log () from /usr/lib/libglib-2.0.so.0
#5  0x4003c5fe in vte_terminal_ensure_cursor () from /usr/lib/libvte.so.2
#6  0x40041325 in vte_terminal_insert_char () from /usr/lib/libvte.so.2
#7  0x40042527 in vte_terminal_process_incoming () from /usr/lib/libvte.so.2
#8  0x4093dc83 in g_idle_dispatch () from /usr/lib/libglib-2.0.so.0
#9  0x4093af65 in g_main_dispatch () from /usr/lib/libglib-2.0.so.0
#10 0x4093bf98 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#11 0x4093c2ad in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#12 0x4093ca1f in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#13 0x4043e39f in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#14 0x08058256 in main ()
#15 0x420158d4 in __libc_start_main () from /lib/i686/libc.so.6
Comment 1 Joshua Buysse 2003-02-07 12:36:09 EST
Please issue an errata with a vte version compatible with RH8.0.  The version in
rawhide is not compat with the gnome-terminal in RH8.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.